SLA Notification Schemes - SLA Notification Rules API
List all SLA notification rules of an SLA notification scheme
Заголовок раздела «List all SLA notification rules of an SLA notification scheme»List all SLA notification rules of an SLA notification scheme with a specific ID.
GET /sla_notification_schemes/:id/sla_notification_rulesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 1, "threshold_percentage": 25, "notify_current_assignee": true, "notify_service_owner": false, "notify_support_team_manager": false, "notify_support_team_coordinator": false, "notify_first_line_team_manager": false, "notify_first_line_team_coordinator": false, "created_at": "2022-11-24T18:39:44-06:00", "updated_at": "2022-11-24T18:39:44-06:00" }, { "id": 2, "threshold_percentage": 50, "notify_current_assignee": false, "notify_service_owner": true, "notify_support_team_manager": true, "notify_support_team_coordinator": false, "notify_first_line_team_manager": false, "notify_first_line_team_coordinator": false, "created_at": "2022-11-24T18:39:44-06:00", "updated_at": "2022-11-24T18:39:44-06:00" }]The response contains these fields by default.
Add a SLA notification rules to an SLA notification scheme
Заголовок раздела «Add a SLA notification rules to an SLA notification scheme»Add a new SLA notification rule to an SLA notification scheme with a specific ID.
POST /sla_notification_schemes/:id/sla_notification_rulesWhen adding a new rule to an SLA notification scheme these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{}Remove a SLA notification rule from an SLA notification scheme
Заголовок раздела «Remove a SLA notification rule from an SLA notification scheme»Remove the link between an SLA notification scheme with a specific ID and a SLA notification rules with a specific ID.
DELETE /sla_notification_schemes/:id/sla_notification_rules/:rule_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all SLA notification rules from an SLA notification scheme
Заголовок раздела «Remove all SLA notification rules from an SLA notification scheme»Remove all links between an SLA notification scheme with a specific ID and its SLA notification rules.
DELETE /sla_notification_schemes/:id/sla_notification_rulesResponse
Заголовок раздела «Response»Status: 204 No Contentcreated_at
Readonly datetime — The date and time at which the SLA notification rule was created.
id
Readonly integer — The unique ID of the SLA notification rule.
notify_current_assignee
Optional
boolean
, default:
false
— Whether to notify the current assignee of the request.
notify_first_line_team_coordinator
Optional
boolean
, default:
false
— Whether to notify the first line team coordinator of the service instance of the affected SLA.
notify_first_line_team_manager
Optional
boolean
, default:
false
— Whether to notify the first line team manager of the service instance of the affected SLA.
notify_service_owner
Optional
boolean
, default:
false
— Whether to notify the service owner of the service of the affected SLA.
notify_support_team_coordinator
Optional
boolean
, default:
false
— Whether to notify the support team coordinator of the service instance of the affected SLA.
notify_support_team_manager
Optional
boolean
, default:
false
— Whether to notify the support team manager of the service instance of the affected SLA.
threshold_percentage
Required integer — The percentage of the resolution target duration when a notification should be generated.
updated_at
Readonly
datetime
— The date and time of the last update of the SLA notification rule. If the SLA notification rule has no updates it contains the
created_at
value.